## Zelthy is an open source multi-tenant Django framework for building enterprise apps

- Quickly build enterprise ready apps, leveraging the power of Django and Zelthy package ecosystem
- Host multiple apps on a single deployment with complete isolation - Each app can have its own data models and workflows 
- Built-in user management and user roles
- Rich ecosystem of packages - Leverage the free packages to develop most of your app workflows. 
- Granular policy and permission framework linking user roles with views and models
- Open-core with all  non-enterprise features under the  Apache License allowing commercial and private use.


[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/Healthlane-Technologies/zelthy3-gitpod-sandbox/)

![Zelthy High Level Architecture](https://docs.zelthy.com/assets/images/Architecture_Diagram-e6eb1b24fca0554edca1110a7de26449.png)

#### App Panel - Central hub to manage all your apps
![Zelthy App Panel](https://docs.zelthy.com/assets/images/app_panel_landing-af182a79b1f4735606e8941830997dc2.png)


Perform tasks such as configuring permissions, managing user roles, and much more. 

![Zelthy App Panel](https://docs.zelthy.com/assets/images/switching_to_app_view2-5846ede4e2a690d7b243dd51cf99559f.png)


#### Drastically reduce your per app cost through Zelthy’s multi-tenant approach:

Zelthy redefines multi-tenancy by enabling multiple different apps to run on a single server. Say goodbye to the limitations of traditional scaling methods. With our platform, you can run multiple different applications on a single server, which helps in keeping the cost in check.

![Zelthy Scaling](https://zelthy-initium-production-static.s3.amazonaws.com/static/zelthymain/react-images/cost-effective-scaling.svg)


#### Installation:
- [Docker](https://docs.zelthy.com/docs/documentation/getting-started/installing-zelthy/docker)
- [Manual](https://docs.zelthy.com/docs/documentation/getting-started/installing-zelthy/manual)
- [Gitpod]()

#### Free Packages
A few essential packages are freely available. These packages enable development of a wide variety of applications and are available for installation from the App Panel.  
- [Login](https://docs.zelthy.com/login)
- [Frames](https://docs.zelthy.com/frame)
- [CRUD](https://docs.zelthy.com/crud)



#### Get Involved:
Coming soon

#### Official Documentation: https://docs.zelthy.com/




